"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var arraysMatch_1 = require("@writetome51/arrays-match/arraysMatch");
var getFilteredResults_1 = require("../getFilteredResults");
var arr = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
// Test 1: test function returns every item greater than or equal to 5, and array should
// not be modified:
var result = getFilteredResults_1.getFilteredResults(function (item) { return item >= 5; }, arr);
if (arraysMatch_1.arraysMatch(result, [5, 6, 7, 8, 9, 10]) && arraysMatch_1.arraysMatch(arr, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]))
    console.log('test 1 passed');
else
    console.log('test 1 failed.');
// Test 2:
result = getFilteredResults_1.getFilteredResults(function (item) { return item % 2 !== 0; }, arr);
if (arraysMatch_1.arraysMatch(result, [1, 3, 5, 7, 9]) && arraysMatch_1.arraysMatch(arr, [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]))
    console.log('test 2 passed');
else
    console.log('test 2 failed.');
/****************
 // Test 3: positive index exceeding array's range should trigger error:
 let triggeredError = false;
 try {
    result = getItem(10, arr);
}
 catch (e) {
    triggeredError = true;
}
 if (triggeredError) console.log('test 3 passed');
 else console.log('test 3 failed.');


 // Test 4: negative index exceeding array's range should trigger error:
 triggeredError = false;
 try {
    result = getItem(-11, arr);
}
 catch (e) {
    triggeredError = true;
}
 if (triggeredError) console.log('test 4 passed');
 else console.log('test 4 failed.');


 // Test 5: if something other than integer is passed as index, it should trigger error:
 triggeredError = false;
 try {
    result = getItem(1.02, arr);
    console.log(result);
}
 catch (e) {
    triggeredError = true;
}
 if (triggeredError) console.log('test 5 passed');
 else console.log('test 5 failed.');


 // Test 6: if something other than array is passed as second arg, it should trigger error:
 triggeredError = false;
 try {
    result = getItem(0, {1: 0});
    console.log(result);
}
 catch (e) {
    triggeredError = true;
}
 if (triggeredError) console.log('test 6 passed');
 else console.log('test 6 failed.');
 ****************/ 
